--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/commande/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/commande/list.php	2025-05-02 11:52:46.627672000 +0000
@@ -41,19 +41,19 @@
 
 // Load Dolibarr environment
 require '../main.inc.php';
-require_once DOL_DOCUMENT_ROOT.'/core/lib/date.lib.php';
-require_once DOL_DOCUMENT_ROOT.'/core/lib/company.lib.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/discount.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formfile.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formother.class.php';
-require_once DOL_DOCUMENT_ROOT.'/core/class/html.formcompany.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/lib/date.lib.php';
+require_once DOL_DOCUMENT_ROOT . '/core/lib/company.lib.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/discount.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formfile.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formother.class.php';
+require_once DOL_DOCUMENT_ROOT . '/core/class/html.formcompany.class.php';
 if (isModEnabled('margin')) {
-	require_once DOL_DOCUMENT_ROOT.'/core/class/html.formmargin.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/core/class/html.formmargin.class.php';
 }
-require_once DOL_DOCUMENT_ROOT.'/commande/class/commande.class.php';
-require_once DOL_DOCUMENT_ROOT.'/compta/facture/class/facture.class.php';
-require_once DOL_DOCUMENT_ROOT.'/product/class/product.class.php';
-require_once DOL_DOCUMENT_ROOT.'/projet/class/project.class.php';
+require_once DOL_DOCUMENT_ROOT . '/commande/class/commande.class.php';
+require_once DOL_DOCUMENT_ROOT . '/compta/facture/class/facture.class.php';
+require_once DOL_DOCUMENT_ROOT . '/product/class/product.class.php';
+require_once DOL_DOCUMENT_ROOT . '/projet/class/project.class.php';
 
 /**
  * @var Conf $conf
@@ -151,7 +151,7 @@
 
 $search_import_key  = trim(GETPOST("search_import_key", "alpha"));
 
-$diroutputmassaction = $conf->commande->multidir_output[$conf->entity].'/temp/massgeneration/'.$user->id;
+$diroutputmassaction = $conf->commande->multidir_output[$conf->entity] . '/temp/massgeneration/' . $user->id;
 
 // Load variable for pagination
 $limit = GETPOSTINT('limit') ? GETPOSTINT('limit') : $conf->liste_limit;
@@ -216,7 +216,7 @@
 	'typent.code' => array('label' => "ThirdPartyType", 'checked' => $checkedtypetiers, 'position' => 55),
 	'c.date_commande' => array('label' => "OrderDateShort", 'checked' => 1, 'position' => 60, 'csslist' => 'nowraponall'),
 	'c.date_delivery' => array('label' => "DateDeliveryPlanned", 'checked' => 1, 'enabled' => !getDolGlobalString('ORDER_DISABLE_DELIVERY_DATE'), 'position' => 65, 'csslist' => 'nowraponall'),
-	'c.fk_shipping_method' => array('label' => "SendingMethod", 'checked' => -1, 'position' => 66 , 'enabled' => isModEnabled("shipping")),
+	'c.fk_shipping_method' => array('label' => "SendingMethod", 'checked' => -1, 'position' => 66, 'enabled' => isModEnabled("shipping")),
 	'c.fk_cond_reglement' => array('label' => "PaymentConditionsShort", 'checked' => -1, 'position' => 67),
 	'c.fk_mode_reglement' => array('label' => "PaymentMode", 'checked' => -1, 'position' => 68),
 	'c.fk_input_reason' => array('label' => "Origin", 'checked' => -1, 'position' => 69),
@@ -239,7 +239,7 @@
 	'c.date_cloture' => array('label' => "DateClosing", 'checked' => 0, 'position' => 130),
 	'c.note_public' => array('label' => 'NotePublic', 'checked' => 0, 'enabled' => (!getDolGlobalInt('MAIN_LIST_HIDE_PUBLIC_NOTES')), 'position' => 135, 'searchall' => 1),
 	'c.note_private' => array('label' => 'NotePrivate', 'checked' => 0, 'enabled' => (!getDolGlobalInt('MAIN_LIST_HIDE_PRIVATE_NOTES')), 'position' => 140),
-	'shippable' => array('label' => "Shippable", 'checked' => 1,'enabled' => (isModEnabled("shipping")), 'position' => 990),
+	'shippable' => array('label' => "Shippable", 'checked' => 1, 'enabled' => (isModEnabled("shipping")), 'position' => 990),
 	'c.facture' => array('label' => "Billed", 'checked' => 1, 'enabled' => (!getDolGlobalString('WORKFLOW_BILL_ON_SHIPMENT')), 'position' => 995),
 	'c.import_key' => array('type' => 'varchar(14)', 'label' => 'ImportId', 'enabled' => 1, 'visible' => -2, 'position' => 999),
 	'c.fk_statut' => array('label' => "Status", 'checked' => 1, 'position' => 1000)
@@ -254,7 +254,7 @@
 }
 
 // Extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_array_fields.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_array_fields.tpl.php';
 
 $object->fields = dol_sort_array($object->fields, 'position');
 //$arrayfields['anotherfield'] = array('type'=>'integer', 'label'=>'AnotherField', 'checked'=>1, 'enabled'=>1, 'position'=>90, 'csslist'=>'right');
@@ -302,7 +302,7 @@
 
 if (empty($reshook)) {
 	// Selection of new fields
-	include DOL_DOCUMENT_ROOT.'/core/actions_changeselectedfields.inc.php';
+	include DOL_DOCUMENT_ROOT . '/core/actions_changeselectedfields.inc.php';
 
 	// Purge search criteria
 	if (GETPOST('button_removefilter_x', 'alpha') || GETPOST('button_removefilter.x', 'alpha') || GETPOST('button_removefilter', 'alpha')) { // All tests are required to be compatible with all browsers
@@ -354,8 +354,10 @@
 		$toselect = array();
 		$search_array_options = array();
 	}
-	if (GETPOST('button_removefilter_x', 'alpha') || GETPOST('button_removefilter.x', 'alpha') || GETPOST('button_removefilter', 'alpha')
-		|| GETPOST('button_search_x', 'alpha') || GETPOST('button_search.x', 'alpha') || GETPOST('button_search', 'alpha')) {
+	if (
+		GETPOST('button_removefilter_x', 'alpha') || GETPOST('button_removefilter.x', 'alpha') || GETPOST('button_removefilter', 'alpha')
+		|| GETPOST('button_search_x', 'alpha') || GETPOST('button_search.x', 'alpha') || GETPOST('button_search', 'alpha')
+	) {
 		$massaction = ''; // Protection to avoid mass action if we force a new search during a mass action confirmation
 	}
 
@@ -380,7 +382,7 @@
 	$triggersendname = 'ORDER_SENTBYMAIL';
 	$year = "";
 	$month = "";
-	include DOL_DOCUMENT_ROOT.'/core/actions_massactions.inc.php';
+	include DOL_DOCUMENT_ROOT . '/core/actions_massactions.inc.php';
 
 	if ($massaction == 'confirm_createbills') {   // Create bills from orders.
 		$orders = GETPOST('toselect', 'array');
@@ -455,7 +457,7 @@
 					$TFactThirdNbLines[$cmd->socid] = 0; //init nblines to have lines ordered by expedition and rang
 				} else {
 					$langs->load("errors");
-					$errors[] = $cmd->ref.' : '.$langs->trans($objecttmp->errors[0]);
+					$errors[] = $cmd->ref . ' : ' . $langs->trans($objecttmp->errors[0]);
 					$error++;
 				}
 			}
@@ -464,7 +466,7 @@
 				$res = $objecttmp->add_object_linked($objecttmp->origin, $id_order);
 
 				if ($res == 0) {
-					$errors[] = $cmd->ref.' : '.$langs->trans($objecttmp->errors[0]);
+					$errors[] = $cmd->ref . ' : ' . $langs->trans($objecttmp->errors[0]);
 					$error++;
 				}
 
@@ -483,7 +485,7 @@
 						$desc = ($lines[$i]->desc ? $lines[$i]->desc : '');
 						// If we build one invoice for several orders, we must put the ref of order on the invoice line
 						if (!empty($createbills_onebythird)) {
-							$desc = dol_concatdesc($desc, $langs->trans("Order").' '.$cmd->ref.' - '.dol_print_date($cmd->date, 'day'));
+							$desc = dol_concatdesc($desc, $langs->trans("Order") . ' ' . $cmd->ref . ' - ' . dol_print_date($cmd->date, 'day'));
 						}
 
 						if ($lines[$i]->subprice < 0 && !getDolGlobalString('INVOICE_KEEP_DISCOUNT_LINES_AS_IN_ORIGIN')) {
@@ -599,7 +601,7 @@
 			}
 
 			if ($currentIndex <= (getDolGlobalInt("MAXREFONDOC") ? getDolGlobalInt("MAXREFONDOC") : 10)) {
-				$objecttmp->note_public = dol_concatdesc($objecttmp->note_public, $langs->transnoentities($cmd->ref).(empty($cmd->ref_client) ? '' : ' ('.$cmd->ref_client.')'));
+				$objecttmp->note_public = dol_concatdesc($objecttmp->note_public, $langs->transnoentities($cmd->ref) . (empty($cmd->ref_client) ? '' : ' (' . $cmd->ref_client . ')'));
 				$objecttmp->update($user);
 			}
 
@@ -637,7 +639,7 @@
 				// Call action to build doc
 				$savobject = $object;
 				$object = $objecttmp;
-				include DOL_DOCUMENT_ROOT.'/core/actions_builddoc.inc.php';
+				include DOL_DOCUMENT_ROOT . '/core/actions_builddoc.inc.php';
 				$object = $savobject;
 			}
 
@@ -650,16 +652,16 @@
 			if ($nb_bills_created == 1) {
 				if (getDolGlobalInt('MAIN_MASSACTION_CREATEBILLS_REDIRECT_IF_ONE') == 1) {
 					// Redirect to generated invoice if unique
-					header('Location: '.DOL_URL_ROOT.'/compta/facture/card.php?id='.urlencode((string) $lastid));
+					header('Location: ' . DOL_URL_ROOT . '/compta/facture/card.php?id=' . urlencode((string) $lastid));
 					exit;
 				}
 				$texttoshow = $langs->trans('BillXCreated', '{s1}');
-				$texttoshow = str_replace('{s1}', '<a href="'.DOL_URL_ROOT.'/compta/facture/card.php?id='.urlencode((string) ($lastid)).'">'.$lastref.'</a>', $texttoshow);
+				$texttoshow = str_replace('{s1}', '<a href="' . DOL_URL_ROOT . '/compta/facture/card.php?id=' . urlencode((string) ($lastid)) . '">' . $lastref . '</a>', $texttoshow);
 				setEventMessages($texttoshow, null, 'mesgs');
 			} else {
 				if (getDolGlobalInt('MAIN_MASSACTION_CREATEBILLS_REDIRECT_IF_MANY') == 1) {
 					// Redirect to invoice list
-					header("Location: ".DOL_URL_ROOT.'/compta/facture/list.php?mainmenu=billing&leftmenu=customers_bills');
+					header("Location: " . DOL_URL_ROOT . '/compta/facture/list.php?mainmenu=billing&leftmenu=customers_bills');
 					exit;
 				}
 				setEventMessages($langs->trans('BillCreated', $nb_bills_created), null, 'mesgs');
@@ -668,88 +670,88 @@
 			// Make a redirect to avoid to bill twice if we make a refresh or back
 			$param = '';
 			if (!empty($mode)) {
-				$param .= '&mode='.urlencode($mode);
+				$param .= '&mode=' . urlencode($mode);
 			}
 			if (!empty($contextpage) && $contextpage != $_SERVER["PHP_SELF"]) {
-				$param .= '&contextpage='.urlencode($contextpage);
+				$param .= '&contextpage=' . urlencode($contextpage);
 			}
 			if ($limit > 0 && $limit != $conf->liste_limit) {
-				$param .= '&limit='.((int) $limit);
+				$param .= '&limit=' . ((int) $limit);
 			}
 			if ($optioncss != '') {
-				$param .= '&optioncss='.urlencode($optioncss);
+				$param .= '&optioncss=' . urlencode($optioncss);
 			}
 			if ($search_all) {
-				$param .= '&search_all='.urlencode($search_all);
+				$param .= '&search_all=' . urlencode($search_all);
 			}
 			if ($show_files) {
-				$param .= '&show_files='.urlencode((string) ($show_files));
+				$param .= '&show_files=' . urlencode((string) ($show_files));
 			}
 			if ($socid > 0) {
-				$param .= '&socid='.urlencode((string) ($socid));
+				$param .= '&socid=' . urlencode((string) ($socid));
 			}
 			if ($search_status != '') {
-				$param .= '&search_status='.urlencode($search_status);
+				$param .= '&search_status=' . urlencode($search_status);
 			}
 			if ($search_option) {
-				$param .= "&search_option=".urlencode($search_option);
+				$param .= "&search_option=" . urlencode($search_option);
 			}
 			if ($search_orderday) {
-				$param .= '&search_orderday='.urlencode($search_orderday);
+				$param .= '&search_orderday=' . urlencode($search_orderday);
 			}
 			if ($search_ordermonth) {
-				$param .= '&search_ordermonth='.urlencode($search_ordermonth);
+				$param .= '&search_ordermonth=' . urlencode($search_ordermonth);
 			}
 			if ($search_orderyear) {
-				$param .= '&search_orderyear='.urlencode($search_orderyear);
+				$param .= '&search_orderyear=' . urlencode($search_orderyear);
 			}
 			if ($search_deliveryday) {
-				$param .= '&search_deliveryday='.urlencode($search_deliveryday);
+				$param .= '&search_deliveryday=' . urlencode($search_deliveryday);
 			}
 			if ($search_deliverymonth) {
-				$param .= '&search_deliverymonth='.urlencode($search_deliverymonth);
+				$param .= '&search_deliverymonth=' . urlencode($search_deliverymonth);
 			}
 			if ($search_deliveryyear) {
-				$param .= '&search_deliveryyear='.urlencode($search_deliveryyear);
+				$param .= '&search_deliveryyear=' . urlencode($search_deliveryyear);
 			}
 			if ($search_id) {
-				$param .= '&search_id='.urlencode((string) $search_id);
+				$param .= '&search_id=' . urlencode((string) $search_id);
 			}
 			if ($search_ref) {
-				$param .= '&search_ref='.urlencode($search_ref);
+				$param .= '&search_ref=' . urlencode($search_ref);
 			}
 			if ($search_ref_ext) {
-				$param .= '&search_ref_ext='.urlencode($search_ref_ext);
+				$param .= '&search_ref_ext=' . urlencode($search_ref_ext);
 			}
 			if ($search_company) {
-				$param .= '&search_company='.urlencode($search_company);
+				$param .= '&search_company=' . urlencode($search_company);
 			}
 			if ($search_ref_customer) {
-				$param .= '&search_ref_customer='.urlencode($search_ref_customer);
+				$param .= '&search_ref_customer=' . urlencode($search_ref_customer);
 			}
 			if ($search_user > 0) {
-				$param .= '&search_user='.urlencode((string) ($search_user));
+				$param .= '&search_user=' . urlencode((string) ($search_user));
 			}
 			if ($search_sale > 0) {
-				$param .= '&search_sale='.urlencode((string) ($search_sale));
+				$param .= '&search_sale=' . urlencode((string) ($search_sale));
 			}
 			if ($search_total_ht != '') {
-				$param .= '&search_total_ht='.urlencode($search_total_ht);
+				$param .= '&search_total_ht=' . urlencode($search_total_ht);
 			}
 			if ($search_total_vat != '') {
-				$param .= '&search_total_vat='.urlencode($search_total_vat);
+				$param .= '&search_total_vat=' . urlencode($search_total_vat);
 			}
 			if ($search_total_ttc != '') {
-				$param .= '&search_total_ttc='.urlencode($search_total_ttc);
+				$param .= '&search_total_ttc=' . urlencode($search_total_ttc);
 			}
 			if ($search_project_ref >= 0) {
-				$param .= "&search_project_ref=".urlencode($search_project_ref);
+				$param .= "&search_project_ref=" . urlencode($search_project_ref);
 			}
 			if ($search_billed != '') {
-				$param .= '&search_billed='.urlencode($search_billed);
+				$param .= '&search_billed=' . urlencode($search_billed);
 			}
 
-			header("Location: ".$_SERVER['PHP_SELF'].'?'.$param);
+			header("Location: " . $_SERVER['PHP_SELF'] . '?' . $param);
 			exit;
 		} else {
 			$db->rollback();
@@ -919,7 +921,7 @@
 // Add fields from extrafields
 if (!empty($extrafields->attributes[$object->table_element]['label'])) {
 	foreach ($extrafields->attributes[$object->table_element]['label'] as $key => $val) {
-		$sql .= ($extrafields->attributes[$object->table_element]['type'][$key] != 'separate' ? ", ef.".$key." as options_".$key : '');
+		$sql .= ($extrafields->attributes[$object->table_element]['type'][$key] != 'separate' ? ", ef." . $key . " as options_" . $key : '');
 	}
 }
 
@@ -931,35 +933,35 @@
 
 $sqlfields = $sql; // $sql fields to remove for count total
 
-$sql .= ' FROM '.MAIN_DB_PREFIX.'societe as s';
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."societe as s2 ON s2.rowid = s.parent";
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_country as country on (country.rowid = s.fk_pays)";
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_typent as typent on (typent.id = s.fk_typent)";
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."c_departements as state on (state.rowid = s.fk_departement)";
-$sql .= ', '.MAIN_DB_PREFIX.'commande as c';
+$sql .= ' FROM ' . MAIN_DB_PREFIX . 'societe as s';
+$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "societe as s2 ON s2.rowid = s.parent";
+$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "c_country as country on (country.rowid = s.fk_pays)";
+$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "c_typent as typent on (typent.id = s.fk_typent)";
+$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "c_departements as state on (state.rowid = s.fk_departement)";
+$sql .= ', ' . MAIN_DB_PREFIX . 'commande as c';
 if (!empty($extrafields->attributes[$object->table_element]['label']) && is_array($extrafields->attributes[$object->table_element]['label']) && count($extrafields->attributes[$object->table_element]['label'])) {
-	$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."commande_extrafields as ef on (c.rowid = ef.fk_object)";
+	$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "commande_extrafields as ef on (c.rowid = ef.fk_object)";
 }
 if ($search_all) {
-	$sql .= ' LEFT JOIN '.MAIN_DB_PREFIX.'commandedet as pd ON c.rowid = pd.fk_commande';
+	$sql .= ' LEFT JOIN ' . MAIN_DB_PREFIX . 'commandedet as pd ON c.rowid = pd.fk_commande';
 }
-$sql .= " LEFT JOIN ".MAIN_DB_PREFIX."projet as p ON p.rowid = c.fk_projet";
-$sql .= ' LEFT JOIN '.MAIN_DB_PREFIX.'user as u ON c.fk_user_author = u.rowid';
+$sql .= " LEFT JOIN " . MAIN_DB_PREFIX . "projet as p ON p.rowid = c.fk_projet";
+$sql .= ' LEFT JOIN ' . MAIN_DB_PREFIX . 'user as u ON c.fk_user_author = u.rowid';
 // Add table from hooks
 $parameters = array();
 $reshook = $hookmanager->executeHooks('printFieldListFrom', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
 $sql .= $hookmanager->resPrint;
 
 $sql .= ' WHERE c.fk_soc = s.rowid';
-$sql .= ' AND c.entity IN ('.getEntity('commande').')';
+$sql .= ' AND c.entity IN (' . getEntity('commande') . ')';
 if ($socid > 0) {
-	$sql .= ' AND s.rowid = '.((int) $socid);
+	$sql .= ' AND s.rowid = ' . ((int) $socid);
 }
 // Restriction on sale representative
 if (empty($user->socid) && !$permissiontoreadallthirdparty) {
-	$sql .= " AND (EXISTS (SELECT sc.fk_soc FROM ".MAIN_DB_PREFIX."societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user = ".((int) $user->id).")";
+	$sql .= " AND (EXISTS (SELECT sc.fk_soc FROM " . MAIN_DB_PREFIX . "societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user = " . ((int) $user->id) . ")";
 	if (getDolGlobalInt('MAIN_SEE_SUBORDINATES') && $userschilds) {
-		$sql .= " OR EXISTS (SELECT sc.fk_soc FROM ".MAIN_DB_PREFIX."societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user IN (".$db->sanitize(implode(',', $userschilds))."))";
+		$sql .= " OR EXISTS (SELECT sc.fk_soc FROM " . MAIN_DB_PREFIX . "societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user IN (" . $db->sanitize(implode(',', $userschilds)) . "))";
 	}
 	$sql .= ")";
 }
@@ -980,14 +982,14 @@
 	$sql .= natural_search(array_keys($fieldstosearchall), $search_all);
 }
 if ($search_billed != '' && $search_billed >= 0) {
-	$sql .= ' AND c.facture = '.((int) $search_billed);
+	$sql .= ' AND c.facture = ' . ((int) $search_billed);
 }
 if ($search_status != '') {
 	if ($search_status <= 3 && $search_status >= -1) {	// status from -1 to 3 are real status (other are virtual combination)
 		if ($search_status == 1 && !isModEnabled('shipping')) {
 			$sql .= ' AND c.fk_statut IN (1,2)'; // If module expedition disabled, we include order with status "sent" into "validated"
 		} else {
-			$sql .= ' AND c.fk_statut = '.((int) $search_status); // draft, validated, in process or canceled
+			$sql .= ' AND c.fk_statut = ' . ((int) $search_status); // draft, validated, in process or canceled
 		}
 	}
 	if ($search_status == -2) {	// "validated + in progress"
@@ -1001,25 +1003,25 @@
 	}
 }
 if ($search_option == 'late') {
-	$sql .= " AND c.date_commande < '".$db->idate(dol_now() - $conf->commande->client->warning_delay)."'";
+	$sql .= " AND c.date_commande < '" . $db->idate(dol_now() - $conf->commande->client->warning_delay) . "'";
 }
 if ($search_datecloture_start) {
-	$sql .= " AND c.date_cloture >= '".$db->idate($search_datecloture_start)."'";
+	$sql .= " AND c.date_cloture >= '" . $db->idate($search_datecloture_start) . "'";
 }
 if ($search_datecloture_end) {
-	$sql .= " AND c.date_cloture <= '".$db->idate($search_datecloture_end)."'";
+	$sql .= " AND c.date_cloture <= '" . $db->idate($search_datecloture_end) . "'";
 }
 if ($search_dateorder_start) {
-	$sql .= " AND c.date_commande >= '".$db->idate($search_dateorder_start)."'";
+	$sql .= " AND c.date_commande >= '" . $db->idate($search_dateorder_start) . "'";
 }
 if ($search_dateorder_end) {
-	$sql .= " AND c.date_commande <= '".$db->idate($search_dateorder_end)."'";
+	$sql .= " AND c.date_commande <= '" . $db->idate($search_dateorder_end) . "'";
 }
 if ($search_datedelivery_start) {
-	$sql .= " AND c.date_livraison >= '".$db->idate($search_datedelivery_start)."'";
+	$sql .= " AND c.date_livraison >= '" . $db->idate($search_datedelivery_start) . "'";
 }
 if ($search_datedelivery_end) {
-	$sql .= " AND c.date_livraison <= '".$db->idate($search_datedelivery_end)."'";
+	$sql .= " AND c.date_livraison <= '" . $db->idate($search_datedelivery_end) . "'";
 }
 if ($search_town) {
 	$sql .= natural_search('s.town', $search_town);
@@ -1031,10 +1033,10 @@
 	$sql .= natural_search("state.nom", $search_state);
 }
 if ($search_country) {
-	$sql .= " AND s.fk_pays IN (".$db->sanitize($search_country).')';
+	$sql .= " AND s.fk_pays IN (" . $db->sanitize($search_country) . ')';
 }
 if ($search_type_thirdparty && $search_type_thirdparty != '-1') {
-	$sql .= " AND s.fk_typent IN (".$db->sanitize($search_type_thirdparty).')';
+	$sql .= " AND s.fk_typent IN (" . $db->sanitize($search_type_thirdparty) . ')';
 }
 if (empty($arrayfields['s.name_alias']['checked']) && $search_company) {
 	$sql .= natural_search(array("s.nom", "s.name_alias"), $search_company);
@@ -1062,7 +1064,7 @@
 	$sql .= natural_search('c.fk_warehouse', $search_warehouse, 1);
 }
 if ($search_multicurrency_code != '') {
-	$sql .= " AND c.multicurrency_code = '".$db->escape($search_multicurrency_code)."'";
+	$sql .= " AND c.multicurrency_code = '" . $db->escape($search_multicurrency_code) . "'";
 }
 if ($search_multicurrency_tx != '') {
 	$sql .= natural_search('c.multicurrency_tx', $search_multicurrency_tx, 1);
@@ -1086,16 +1088,16 @@
 	$sql .= natural_search("p.title", $search_project);
 }
 if ($search_fk_cond_reglement > 0) {
-	$sql .= " AND c.fk_cond_reglement = ".((int) $search_fk_cond_reglement);
+	$sql .= " AND c.fk_cond_reglement = " . ((int) $search_fk_cond_reglement);
 }
 if ($search_fk_shipping_method > 0) {
-	$sql .= " AND c.fk_shipping_method = ".((int) $search_fk_shipping_method);
+	$sql .= " AND c.fk_shipping_method = " . ((int) $search_fk_shipping_method);
 }
 if ($search_fk_mode_reglement > 0) {
-	$sql .= " AND c.fk_mode_reglement = ".((int) $search_fk_mode_reglement);
+	$sql .= " AND c.fk_mode_reglement = " . ((int) $search_fk_mode_reglement);
 }
 if ($search_fk_input_reason > 0) {
-	$sql .= " AND c.fk_input_reason = ".((int) $search_fk_input_reason);
+	$sql .= " AND c.fk_input_reason = " . ((int) $search_fk_input_reason);
 }
 if ($search_import_key) {
 	$sql .= natural_search("s.import_key", $search_import_key);
@@ -1104,17 +1106,17 @@
 if ($search_user > 0) {
 	$sql .= " AND EXISTS (";
 	$sql .= " SELECT ec.fk_c_type_contact, ec.element_id, ec.fk_socpeople";
-	$sql .= " FROM ".MAIN_DB_PREFIX."element_contact as ec";
-	$sql .= " INNER JOIN  ".MAIN_DB_PREFIX."c_type_contact as tc";
+	$sql .= " FROM " . MAIN_DB_PREFIX . "element_contact as ec";
+	$sql .= " INNER JOIN  " . MAIN_DB_PREFIX . "c_type_contact as tc";
 	$sql .= " ON ec.fk_c_type_contact = tc.rowid AND tc.element='commande' AND tc.source='internal'";
-	$sql .= " WHERE ec.element_id = c.rowid AND ec.fk_socpeople = ".((int) $search_user).")";
+	$sql .= " WHERE ec.element_id = c.rowid AND ec.fk_socpeople = " . ((int) $search_user) . ")";
 }
 // Search on sale representative
 if ($search_sale && $search_sale != '-1') {
 	if ($search_sale == -2) {
-		$sql .= " AND NOT EXISTS (SELECT sc.fk_soc FROM ".MAIN_DB_PREFIX."societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc)";
+		$sql .= " AND NOT EXISTS (SELECT sc.fk_soc FROM " . MAIN_DB_PREFIX . "societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc)";
 	} elseif ($search_sale > 0) {
-		$sql .= " AND EXISTS (SELECT sc.fk_soc FROM ".MAIN_DB_PREFIX."societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user = ".((int) $search_sale).")";
+		$sql .= " AND EXISTS (SELECT sc.fk_soc FROM " . MAIN_DB_PREFIX . "societe_commerciaux as sc WHERE sc.fk_soc = c.fk_soc AND sc.fk_user = " . ((int) $search_sale) . ")";
 	}
 }
 // Search for tag/category ($searchCategoryCustomerList is an array of ID)
@@ -1125,25 +1127,25 @@
 	$listofcategoryid = '';
 	foreach ($searchCategoryCustomerList as $searchCategoryCustomer) {
 		if (intval($searchCategoryCustomer) == -2) {
-			$searchCategoryCustomerSqlList[] = "NOT EXISTS (SELECT cs.fk_soc FROM ".MAIN_DB_PREFIX."categorie_societe as cs WHERE s.rowid = cs.fk_soc)";
+			$searchCategoryCustomerSqlList[] = "NOT EXISTS (SELECT cs.fk_soc FROM " . MAIN_DB_PREFIX . "categorie_societe as cs WHERE s.rowid = cs.fk_soc)";
 		} elseif (intval($searchCategoryCustomer) > 0) {
 			if ($searchCategoryCustomerOperator == 0) {
-				$searchCategoryCustomerSqlList[] = " EXISTS (SELECT cs.fk_soc FROM ".MAIN_DB_PREFIX."categorie_societe as cs WHERE s.rowid = cs.fk_soc AND cs.fk_categorie = ".((int) $searchCategoryCustomer).")";
+				$searchCategoryCustomerSqlList[] = " EXISTS (SELECT cs.fk_soc FROM " . MAIN_DB_PREFIX . "categorie_societe as cs WHERE s.rowid = cs.fk_soc AND cs.fk_categorie = " . ((int) $searchCategoryCustomer) . ")";
 			} else {
-				$listofcategoryid .= ($listofcategoryid ? ', ' : '') .((int) $searchCategoryCustomer);
+				$listofcategoryid .= ($listofcategoryid ? ', ' : '') . ((int) $searchCategoryCustomer);
 			}
 		}
 	}
 	if ($listofcategoryid) {
-		$searchCategoryCustomerSqlList[] = " EXISTS (SELECT cs.fk_soc FROM ".MAIN_DB_PREFIX."categorie_societe as cs WHERE s.rowid = cs.fk_soc AND cs.fk_categorie IN (".$db->sanitize($listofcategoryid)."))";
+		$searchCategoryCustomerSqlList[] = " EXISTS (SELECT cs.fk_soc FROM " . MAIN_DB_PREFIX . "categorie_societe as cs WHERE s.rowid = cs.fk_soc AND cs.fk_categorie IN (" . $db->sanitize($listofcategoryid) . "))";
 	}
 	if ($searchCategoryCustomerOperator == 1) {
 		if (!empty($searchCategoryCustomerSqlList)) {
-			$sql .= " AND (".implode(' OR ', $searchCategoryCustomerSqlList).")";
+			$sql .= " AND (" . implode(' OR ', $searchCategoryCustomerSqlList) . ")";
 		}
 	} else {
 		if (!empty($searchCategoryCustomerSqlList)) {
-			$sql .= " AND (".implode(' AND ', $searchCategoryCustomerSqlList).")";
+			$sql .= " AND (" . implode(' AND ', $searchCategoryCustomerSqlList) . ")";
 		}
 	}
 }
@@ -1155,30 +1157,30 @@
 	$listofcategoryid = '';
 	foreach ($searchCategoryProductList as $searchCategoryProduct) {
 		if (intval($searchCategoryProduct) == -2) {
-			$searchCategoryProductSqlList[] = "NOT EXISTS (SELECT ck.fk_product FROM ".MAIN_DB_PREFIX."categorie_product as ck, ".MAIN_DB_PREFIX."commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product)";
+			$searchCategoryProductSqlList[] = "NOT EXISTS (SELECT ck.fk_product FROM " . MAIN_DB_PREFIX . "categorie_product as ck, " . MAIN_DB_PREFIX . "commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product)";
 		} elseif (intval($searchCategoryProduct) > 0) {
 			if ($searchCategoryProductOperator == 0) {
-				$searchCategoryProductSqlList[] = " EXISTS (SELECT ck.fk_product FROM ".MAIN_DB_PREFIX."categorie_product as ck, ".MAIN_DB_PREFIX."commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product AND ck.fk_categorie = ".((int) $searchCategoryProduct).")";
+				$searchCategoryProductSqlList[] = " EXISTS (SELECT ck.fk_product FROM " . MAIN_DB_PREFIX . "categorie_product as ck, " . MAIN_DB_PREFIX . "commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product AND ck.fk_categorie = " . ((int) $searchCategoryProduct) . ")";
 			} else {
-				$listofcategoryid .= ($listofcategoryid ? ', ' : '') .((int) $searchCategoryProduct);
+				$listofcategoryid .= ($listofcategoryid ? ', ' : '') . ((int) $searchCategoryProduct);
 			}
 		}
 	}
 	if ($listofcategoryid) {
-		$searchCategoryProductSqlList[] = " EXISTS (SELECT ck.fk_product FROM ".MAIN_DB_PREFIX."categorie_product as ck, ".MAIN_DB_PREFIX."commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product AND ck.fk_categorie IN (".$db->sanitize($listofcategoryid)."))";
+		$searchCategoryProductSqlList[] = " EXISTS (SELECT ck.fk_product FROM " . MAIN_DB_PREFIX . "categorie_product as ck, " . MAIN_DB_PREFIX . "commandedet as cd WHERE cd.fk_commande = c.rowid AND cd.fk_product = ck.fk_product AND ck.fk_categorie IN (" . $db->sanitize($listofcategoryid) . "))";
 	}
 	if ($searchCategoryProductOperator == 1) {
 		if (!empty($searchCategoryProductSqlList)) {
-			$sql .= " AND (".implode(' OR ', $searchCategoryProductSqlList).")";
+			$sql .= " AND (" . implode(' OR ', $searchCategoryProductSqlList) . ")";
 		}
 	} else {
 		if (!empty($searchCategoryProductSqlList)) {
-			$sql .= " AND (".implode(' AND ', $searchCategoryProductSqlList).")";
+			$sql .= " AND (" . implode(' AND ', $searchCategoryProductSqlList) . ")";
 		}
 	}
 }
 // Add where from extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_sql.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_sql.tpl.php';
 // Add where from hooks
 $parameters = array();
 $reshook = $hookmanager->executeHooks('printFieldListWhere', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
@@ -1187,20 +1189,43 @@
 // Add HAVING from hooks
 $parameters = array();
 $reshook = $hookmanager->executeHooks('printFieldListHaving', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
-$sql .= empty($hookmanager->resPrint) ? "" : " HAVING 1=1 ".$hookmanager->resPrint;
+$sql .= empty($hookmanager->resPrint) ? "" : " HAVING 1=1 " . $hookmanager->resPrint;
 //print $sql;
 
 // Count total nb of records
 $nbtotalofrecords = '';
 if (!getDolGlobalInt('MAIN_DISABLE_FULL_SCANLIST')) {
 	/* The fast and low memory method to get and count full list converts the sql into a sql count */
-	$sqlforcount = preg_replace('/^'.preg_quote($sqlfields, '/').'/', 'SELECT COUNT(*) as nbtotalofrecords', $sql);
-	$sqlforcount = preg_replace('/GROUP BY .*$/', '', $sqlforcount);
+	$parameters = array(
+		'sqlforcount' => $sql,
+		'sqlfields' => $sqlfields,
+		'context' => $parameters['context']
+	);
+
+	$reshook = $hookmanager->executeHooks('beforeCountQuery', $parameters, $object, $action);
+
+
+	if ($reshook > 0 && !empty($hookmanager->resPrint)) {
+		$sqlforcount = $hookmanager->resPrint;
+	} else {
+		$sqlforcount = preg_replace('/^' . preg_quote($sqlfields, '/') . '/', 'SELECT COUNT(*) as nbtotalofrecords', $sql);
+		$sqlforcount = preg_replace('/GROUP BY .*$/', '', $sqlforcount);
+	}
+
 	$resql = $db->query($sqlforcount);
 	if ($resql) {
 		$objforcount = $db->fetch_object($resql);
 		$nbtotalofrecords = $objforcount->nbtotalofrecords;
+
+		$_GET['total_ht'] = $objforcount->total_ht ?? 0;
+		$_GET['total_tva'] = $objforcount->total_tva ?? 0;
+		$_GET['total_ttc'] = $objforcount->total_ttc ?? 0;
+
+		$total_ht1 = GETPOST('total_ht', 'alpha') ?: 0;
+		$total_tva2 = GETPOST('total_tva', 'alpha') ?: 0;
+		$total_ttc3 = GETPOST('total_ttc', 'alpha') ?: 0;
 	} else {
+		error_log("Erreur lors de l'exécution de SQLforcount", 1, "valentin.grimal@pichinov.com");
 		dol_print_error($db);
 	}
 
@@ -1226,7 +1251,7 @@
 if ($socid > 0) {
 	$soc = new Societe($db);
 	$soc->fetch($socid);
-	$title = $langs->trans('CustomersOrders').' - '.$soc->name;
+	$title = $langs->trans('CustomersOrders') . ' - ' . $soc->name;
 	if (empty($search_company)) {
 		$search_company = $soc->name;
 	}
